// GenericTextDlg.cpp : implementation file
//

#include "stdafx.h"
#include "MW4GameEd.h"
#include "GenericTextDlg.h"
#include <Adept\EntityManager.hpp>

/////////////////////////////////////////////////////////////////////////////
// CGenericTextDlg dialog


CGenericTextDlg::CGenericTextDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CGenericTextDlg::IDD, pParent)
{
	addStyle = 0;
	editRect.left = 120;
	editRect.top = 187;
	editRect.right = 303;
	editRect.bottom = 210;

	//{{AFX_DATA_INIT(CGenericTextDlg)
	m_EditText = _T("");
	//}}AFX_DATA_INIT
}


void CGenericTextDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CGenericTextDlg)
	DDX_Control(pDX, IDC_NEWTABDLGMESSAGE, m_Message);
	DDX_Text(pDX, IDC_TABNAME, m_EditText);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CGenericTextDlg, CDialog)
	//{{AFX_MSG_MAP(CGenericTextDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGenericTextDlg message handlers

BOOL CGenericTextDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	SetWindowText(m_Title);
	m_Message.SetWindowText(m_MessageText);

	CEdit* editBox = (CEdit*)GetDlgItem(IDC_TABNAME);

	editBox->ModifyStyle(0,addStyle);
	editBox->SetWindowPos(&wndTopMost,editRect.left,editRect.top,editRect.right - editRect.left,editRect.bottom - editRect.top,SWP_SHOWWINDOW);
	editBox->SetWindowText(m_EditText);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}